#include <iostream>
#include <cmath>

using namespace std;

int a[100000];

int main()
{
    int n, m, p1, p2, s=0;
    cin >> n >> m;
    for(int i=1; i<=n; i++)
        cin >> a[i];
    for(int i=1; i<=m; i++)
    {
        cin >> p1 >> p2;
        s += abs(a[p1]+a[p2]);
    }
    cout << s;
    return 0;
}